format_version: '1.0'

repository_url: https://github.com/openwall/john

sequence:
  base_version:
    input_file: '0f150904.zip'
    commit_sha1: 0f1509043b9eac097db160c11dc161c28c99f673
  fix_attempt:
    - input_file: 'a0420240.diff'
      commit_sha1: a0420240dda1ec3980a937bb617967e395a279e8
    - input_file: '9d6963c8.diff'
      commit_sha1: 9d6963c866b00d2d003fdd59fe1d549177fe060b
    - input_file: 'f8ced750.diff'
      commit_sha1: f8ced75032922573d69066b5e9e894b1d3f1cf7d
    
  expected_fix:
    input_file: '22bd0674.diff'
    commit_sha1: 22bd0674ea3be946bd84f1e54a62dccd76ec0a36

  
classification: unknown
categories: []

  
metadata:
  language: C
  strategy: reopen
  build_system: []
  related_issue: https://github.com/openwall/john/issues/654
